#ifndef PARSE_SENSOR_H
#define PARSE_SENSOR_H
/*
  ParseSensor.h
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include <Print.h>

// call this from setup to specify the sensor that has the Lux 
void setLuxSensorName(const char* luxSensorName);
bool parseDeviceName(const char* name); // call from advertising call back NOT from main loop, returns true if parsed new lux reading
float getLuxReading(); // call from main loop() to pick up new reading

void setParseSensorDebugOut(Print* outPtr);
#endif
