#ifndef SCANNER_H
#define SCANNER_H
/*
  Scanner.h
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include "BLEDevice.h"
// call these from main loop() only not from the callbacks
void startScanner(BLEAdvertisedDeviceCallbacks* pAdvertisedDeviceCallbacks); //call this to start scanning
void restartScanner(); // call this from loop() to restart scanner once it is finished
void stopScanner();

void setScannerDebugOut(Print* outPtr);

#endif
